| OGRE 1.10.11 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Typedefs | Enumerations | Functions
OgreInput.h File Reference
`#include <OgreBuildSettings.h>`
`#include <OgreBitesPrerequisites.h>`

## Classes
union | OgreBites::Event
struct | OgreBites::InputListener
| the return values of the callbacks are ignored by ApplicationContext however they can be used to control event propagation in a hierarchy More...
struct | OgreBites::KeyboardEvent
struct | OgreBites::MouseButtonEvent
struct | OgreBites::MouseMotionEvent
struct | OgreBites::MouseWheelEvent
struct | OgreBites::TouchFingerEvent

## Namespaces
| Ogre
| OgreBites

## Typedefs
typedef int | OgreBites::Keycode
typedef int | SDL_Keymod

## Enumerations
enum | { SDLK_RETURN = '\r', SDLK_ESCAPE = '\033', SDLK_SPACE = ' ', SDLK_DOWN, SDLK_UP, SDLK_LEFT, SDLK_RIGHT, SDLK_PAGEUP, SDLK_PAGEDOWN, SDLK_LSHIFT, SDLK_F1, SDLK_F2, SDLK_F3, SDLK_F4, SDLK_F5, SDLK_F6, SDLK_F9, SDLK_F10, SDLK_F11, SDLK_F12, SDLK_KP_PLUS, SDLK_KP_MINUS, SDL_NUM_KEYCODES = 512 }
enum | { SDL_KEYDOWN, SDL_KEYUP, SDL_MOUSEBUTTONDOWN, SDL_MOUSEBUTTONUP, SDL_MOUSEWHEEL, SDL_MOUSEMOTION, SDL_FINGERDOWN, SDL_FINGERUP, SDL_FINGERMOTION, KMOD_CTRL }
enum | { OgreBites::BUTTON_LEFT, OgreBites::BUTTON_MIDDLE, OgreBites::BUTTON_RIGHT }

## Functions
unsigned char * | SDL_GetKeyboardState (void *)
SDL_Keymod | SDL_GetModState ()
int | SDL_GetMouseState (int *x, int *y)

## Typedef Documentation

## ◆ SDL_Keymod

typedef int SDL_Keymod

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
SDLK_RETURN |
SDLK_ESCAPE |
SDLK_SPACE |
SDLK_DOWN |
SDLK_UP |
SDLK_LEFT |
SDLK_RIGHT |
SDLK_PAGEUP |
SDLK_PAGEDOWN |
SDLK_LSHIFT |
SDLK_F1 |
SDLK_F2 |
SDLK_F3 |
SDLK_F4 |
SDLK_F5 |
SDLK_F6 |
SDLK_F9 |
SDLK_F10 |
SDLK_F11 |
SDLK_F12 |
SDLK_KP_PLUS |
SDLK_KP_MINUS |
SDL_NUM_KEYCODES |

## ◆ anonymous enum

anonymous enum

Enumerator
SDL_KEYDOWN |
SDL_KEYUP |
SDL_MOUSEBUTTONDOWN |
SDL_MOUSEBUTTONUP |
SDL_MOUSEWHEEL |
SDL_MOUSEMOTION |
SDL_FINGERDOWN |
SDL_FINGERUP |
SDL_FINGERMOTION |
KMOD_CTRL |

## Function Documentation

## ◆ SDL_GetKeyboardState()

unsigned char* SDL_GetKeyboardState | ( | void * |  | ) |
| inline

References SDL_NUM_KEYCODES.

## ◆ SDL_GetMouseState()

int SDL_GetMouseState | ( | int * | x,
|  | int * | y
| ) |  |
| inline

## ◆ SDL_GetModState()

SDL_Keymod SDL_GetModState | ( |  | ) |
| inline